#include "descriptor/descriptor.h"


int main (void) {

	int x,y,z,nogg;
	ITEM guscio, pulsanti, display, tastiera, schermo,
	attr_pulsanti, attr_guscio, attr_display, attr_schermo, 
	attr_tastiera, attr_teca, attr_tav, amb, supporto, teca, tav, scena;


//Background
set_background (0.57,0.68,1,TRUE);
set_ambient_light (1,1,1,1);
create_point_light(0.204, -3.473, 9.134 ,1,1,1,1,0,"luce_1");
create_point_light(-3.456, 2.070, -1.004,1,1,1,1,0,"luce_2");

//Attributi
attr_pulsanti = create_attribute("materiale_pulsanti");
set_color(attr_pulsanti,0, 0.49,0.49,0.4,0.5);
set_reflectivity(attr_pulsanti, 0.4, 20);

attr_guscio = create_attribute("materiale_guscio");
set_color(attr_guscio,0.0,0.458,0.29,0.4,0.5);
set_reflectivity(attr_guscio, 0.1 ,2);

attr_display = create_attribute("materiale_display");
set_color(attr_display,0.66,1,0.31,1,1);
set_reflectivity(attr_display, 0,40);
set_transparency(attr_display, 0.320, 0.160, 0, 3.672);

attr_schermo = create_attribute("materiale_schermo");
set_color(attr_schermo, 1, 1, 1, 0, 1);
set_reflectivity(attr_schermo, 0, 2);
set_transparency(attr_schermo, 1, 1, 2, 1);

attr_teca = create_attribute("materiale_teca");
set_color(attr_teca, 1, 1, 1, 0, 1);
set_reflectivity(attr_teca, 0.1, 2);
set_transparency(attr_teca, 0.9, 0.9, 2, 1);

attr_tastiera = create_attribute("materiale_tastiera");
set_color(attr_tastiera,0.0 ,0.29 ,0.14 ,0.4 ,1);
set_reflectivity(attr_tastiera, 0.4 , 2);
set_transparency(attr_tastiera, 0, 0, 0, 1);

attr_tav = create_attribute("materiale_tav");
set_color(attr_tav,0.14 ,0.29 ,0.00 ,0.4 ,1);
set_reflectivity(attr_tav, 0.3, 2);
set_transparency(attr_tav, 0, 0, 0, 1);

//Componenti
guscio = read_obj("corpo.obj","corpo");
set_attribute(guscio,attr_guscio);

pulsanti = read_obj("tasti.obj","tasti");
set_attribute(pulsanti,attr_pulsanti);

tastiera = read_nurbs("maschcop.db");
set_attribute(tastiera,attr_tastiera);

schermo = read_nurbs("schermocell.db");
set_attribute(schermo, attr_schermo);

display = read_nurbs("underglass.db");
set_attribute(display,attr_display);

teca = read_nurbs("teca.db");
set_attribute(teca,attr_teca);

supporto = read_nurbs("suteca.db");
set_attribute(supporto,attr_tastiera);

amb = read_nurbs("amb.db");
set_attribute(amb,attr_teca);

tav = read_nurbs("tav.db");
set_attribute(tav,attr_tav);

//Inserimento

scena = create_list(guscio,"scena");
scena = insert_in_list(scena,pulsanti);
scena = insert_in_list(scena,tastiera);
scena = insert_in_list(scena,schermo);
scena = insert_in_list(scena,display);
scena = insert_in_list(scena,teca);
scena = insert_in_list(scena,supporto);
scena = insert_in_list(scena,amb);
scena = insert_in_list(scena,tav);

save_scene("cellnew.md", "scena", scena);
return(0);
 
}
